#ifndef DOSSHARK_X_RES_H
#define DOSSHARK_X_RES_H

	#define DOSSHARK_X_V "0.5"
	
	#define DIALOG_FONTFC "Lucida Console"
	#define DIALOG_FONTSZ 7

	#define DS_ICON 1
	
	
	#define DIALOG_MAIN 0x1200
	#define DIALOG_SCANNER 0x1201
	#define DIALOG_CODES 0x1202
	#define DIALOG_MEMVIEW 0x1203
	#define DIALOG_ABOUT 0x1204
	
	#define DIALOG_EDIT_MEM 0x1205
	#define DIALOG_ADD_CODE 0x1206
	#define DIALOG_CREATE_CODE 0x1207
	
	#define DS_TAB32 0x74B
	
	#define DS_ATTACH_DOSBOX 0xab01
	#define DS_ATTACH_BASEADDR 0xab02
	#define DS_ATTACH_PATH 0xab03
	#define DS_ATTACH_NAME 0xab04
	#define DS_ATTACH_CODESTART 0xab05
	
	#define DS_SCANNER_LIST 0xf0f0
	#define DS_SCANNER_NS 0xf0f1
	#define DS_SCANNER_SCAN 0xf0f2
	#define DS_SCANNER_ST 0xf0f3
	#define DS_SCANNER_SZ 0xf0f4
	#define DS_SCANNER_SEARCH 0xf0f5
	#define DS_SCANNER_BAR 0xf0f6
	#define DS_SCANNER_RES 0xf0f7
	#define DS_SCANNER_ADD 0xf0f8
	
	#define DS_CODES_LIST 0xc0cc
	#define DS_CODES_LOAD 0xc0cd
	#define DS_CODES_SAVE 0xc0ce
	#define DS_CODES_ADD 0xc0cf
	#define DS_CODES_DEL 0xc0d0
	#define DS_CODES_ACT 0xc0d1
	#define DS_CODES_DEC 0xc0d2

	#define DS_MEMVIEW_MV 0x7601
	#define DS_MEMVIEW_SET 0x7602
	#define DS_MEMVIEW_NEXT 0x7603
	#define DS_MEMVIEW_PREV 0x7604
	#define DS_MEMVIEW_PAGE 0x7605
	#define DS_MEMVIEW_EDIT 0x7606
	
	#define DS_ABOUT_DSX 0x5417
	
	#define DS_EDITMEM_CANCEL 0x40c0
	#define DS_EDITMEM_OK 0x40c1
	#define DS_EDITMEM_RANGE 0x40c2
	
	#define DS_EDITMEM_VAL1 0x40c3
	#define DS_EDITMEM_VAL2 0x40c4
	#define DS_EDITMEM_VAL3 0x40c5
	#define DS_EDITMEM_VAL4 0x40c6
	#define DS_EDITMEM_VAL5 0x40c7
	#define DS_EDITMEM_VAL6 0x40c8
	#define DS_EDITMEM_VAL7 0x40c9
	#define DS_EDITMEM_VAL8 0x40ca
	#define DS_EDITMEM_VAL9 0x40cb
	#define DS_EDITMEM_VAL10 0x40cc
	#define DS_EDITMEM_VAL11 0x40cd
	#define DS_EDITMEM_VAL12 0x40ce
	
	#define DS_ADDCODE_NAME 0x5c00
	#define DS_ADDCODE_CODE 0x5c01
	#define DS_ADDCODE_CANCEL 0x5c02
	#define DS_ADDCODE_OK 0x5c03
	
	#define DS_CREATECODE_NAME 0xb401
	#define DS_CREATECODE_SIZE 0xb402
	#define DS_CREATECODE_OFFSET 0xb403
	#define DS_CREATECODE_VALUE 0xb404
	#define DS_CREATECODE_CANCEL 0xb405
	#define DS_CREATECODE_OK 0xb406
	
#endif
