#ifndef DOSSHARK_X_H
#define DOSSHARK_X_H

	#include <res/res.h>
	#include <windows.h>
	#include <config.h>
	
	#define Disable(hwnd,id)(EnableWindow(GetDlgItem(hwnd,id),0))
	#define Enable(hwnd,id)(EnableWindow(GetDlgItem(hwnd,id),1))
	
	#define MEMVIEW_MAX 0x7C0
	#define SCAN_MNT 0x1800
	#define SCAN_SIZE 0xBA0000
	
	typedef struct
	{
		char size;
		unsigned offset;
		unsigned value;
	} ccode;
	
	int load_ccode(ccode*,char*);
	void save_ccode(ccode*,char*);
	
	LRESULT CALLBACK DlgProc(HWND hWndDlg, UINT Msg, WPARAM wParam, LPARAM lParam);
	
#endif
